StarObjectSmallGraphicInternal::SdrGraphicGraph Class Referencefinal

Internal: virtual class to store a Sdr graphic graph. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGraph:

## Public Member Functions

| SdrGraphicGraph ()
| constructor
| ~SdrGraphicGraph () override
| destructor
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor
| ~SdrGraphicRect () override
| destructor
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) override
| try to send the graphic to the listener
std::string | print () const override
| basic print function
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText () override
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation
std::string | print () const override
| basic print function
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes

std::shared_ptr< StarGraphicStruct::StarGraphic > | m_graphic
| the graphic
STOFFBox2i | m_graphRectangle
| the rectangle
librevenge::RVNGString | m_graphNames [3]
| the name, filename, the filtername
bool | m_mirrored
| flag to know if the image is mirrored
bool | m_hasGraphicLink
| flag to know if the image has a graphic link
std::shared_ptr< StarItem > | m_graphItem
| the graph attributes
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag?
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends

std::ostream & | operator<< (std::ostream &o, SdrGraphicGraph const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic graph.

## Constructor & Destructor Documentation

## SdrGraphicGraph()

StarObjectSmallGraphicInternal::SdrGraphicGraph::SdrGraphicGraph | ( |  | ) |

inline

constructor

Referenced by operator<<.

## ~SdrGraphicGraph()

StarObjectSmallGraphicInternal::SdrGraphicGraph::~SdrGraphicGraph | ( |  | ) |

override

destructor

## Member Function Documentation

## print()

std::string StarObjectSmallGraphicInternal::SdrGraphicGraph::print | ( |  | ) | const

inline final virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicAttribute.

## send()

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )

inline final virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## updateStyle()

void StarObjectSmallGraphicInternal::SdrGraphicGraph::updateStyle | ( | StarState & | state,
|  | STOFFListenerPtr | listener ) const

inline

try to update the style

Referenced by send().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicGraph const & | graph )

friend

print object data

## Member Data Documentation

## m_graphic

std::shared_ptr<StarGraphicStruct::StarGraphic> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphic

the graphic

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), SdrGraphicGraph(), and send().

## m_graphItem

std::shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphItem

the graph attributes

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), SdrGraphicGraph(), and updateStyle().

## m_graphNames

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphNames[3]

the name, filename, the filtername

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and send().

## m_graphRectangle

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphRectangle

the rectangle

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

## m_hasGraphicLink

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_hasGraphicLink

flag to know if the image has a graphic link

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

## m_mirrored

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_mirrored

flag to know if the image is mirrored

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGraph(), and SdrGraphicGraph().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx